#version 130

#include "/settings.glsl"

varying vec2 TexCoords;
varying vec2 LightmapCoords;
varying vec3 Normal;
varying vec4 Color;

uniform sampler2D texture;
uniform float rainStrength;

void main()
{
	vec3 ac = vec3(0.8, 0.85, 0.95);
	vec4 albedo = texture2D(texture, TexCoords) * Color * vec4(ac, 1);
	
	float alpha;
	#if GREY_WEATHER == 0
	alpha = albedo.a;
	alpha *= (1 - rainStrength);
	#else
	alpha = 0.0;
	#endif

	#if TI == 1
	float m = 1;
	
    /* DRAWBUFFERS:012 */
    gl_FragData[0] = vec4(albedo.rgb * m, alpha);
	gl_FragData[1] = vec4(albedo.rgb * m, alpha);
    gl_FragData[2] = vec4(albedo.rgb * m, alpha);
	#else
	/* DRAWBUFFERS:012 */
	albedo.a = alpha;
    gl_FragData[0] = albedo;
	gl_FragData[1] = vec4(Normal * 0.5f + 0.5f, alpha);
    gl_FragData[2] = vec4(LightmapCoords, 0, alpha);
	#endif
}
